<?php 
// تنظیمات اولیه
require $_SERVER['DOCUMENT_ROOT'] . '/vpn/jDateTime.php'; // وارد کردن کتابخانه تبدیل تاریخ
$botToken = "8096652401:AAEWcXaRCEsQQK5pZtoSJoDpgI_HDM75350";
$apiUrl = "https://api.telegram.org/bot$botToken/";

// خواندن داده‌های دریافتی از Telegram
$content = file_get_contents("php://input");
$update = json_decode($content, true);

// بررسی اینکه آیا پیام جدید دریافت شده است
if (isset($update["message"])) {
    $chatId = $update["message"]["chat"]["id"];
    $text = $update["message"]["text"];

    // الگوی جستجوی تاریخ میلادی
    $pattern = '/\d{4}-\d{2}-\d{2} \d{2}:\d{2}:\d{2}/';

    // تابع تبدیل تاریخ میلادی به شمسی و محاسبه روزهای باقی‌مانده
    $jDateTime = new jDateTime(true, true, 'Asia/Tehran');

    // جستجو و پردازش تاریخ انقضا
    if (preg_match($pattern, $text, $matches)) {
        $miladiDate = $matches[0];
        
        // تبدیل تاریخ میلادی به تایم‌استمپ
        $timestamp = strtotime($miladiDate);

        // محاسبه تعداد روزهای باقی‌مانده
        $currentTimestamp = time();
        $remainingDays = ceil(($timestamp - $currentTimestamp) / (60 * 60 * 24));

        // تبدیل تاریخ میلادی به شمسی
        $shamsiDate = $jDateTime->date("Y/m/d", $timestamp);
        $shamsiTime = $jDateTime->date("H:i:s", $timestamp);

        // تبدیل اعداد فارسی به انگلیسی
        $convertToEnglish = function($string) {
            $persianNumbers = ['۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹'];
            $englishNumbers = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9'];
            return str_replace($persianNumbers, $englishNumbers, $string);
        };

        $shamsiDate = $convertToEnglish($shamsiDate);
        $shamsiTime = $convertToEnglish($shamsiTime);
        $remainingDays = $convertToEnglish((string)$remainingDays);

        // تولید متن نهایی برای ارسال
  $responseText = "📅 تاریخ انقضا: $shamsiDate\n🕖ساعت $shamsiTime\n\n⏳ تعداد روز باقیمانده: $remainingDays روز";

// ارسال متن به کاربر
file_get_contents($apiUrl . "sendMessage?chat_id=$chatId&text=" . urlencode($responseText));

    }
}
?>
